import { defineComponent as m, mergeModels as p, useModel as c, createElementBlock as f, openBlock as b, Fragment as y, createVNode as n, unref as a, withCtx as r } from "vue";
import { useI18n as V } from "vue-i18n";
import { c as i, d as _, e as g } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const k = /* @__PURE__ */ m({
  __name: "DatahubDataTypeStockValueConfiguration",
  props: /* @__PURE__ */ p({
    attribute: {},
    dataTypeInstance: {},
    remoteScopes: {},
    remoteLanguages: {},
    remoteAttributes: {},
    readonly: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = c(t, "modelValue", {
      set: ({ precision: o, ...l }) => ({
        precision: Number(o),
        ...l
      })
    }), { t: s } = V();
    return (o, l) => (b(), f(y, null, [
      n(a(i), null, {
        default: r(() => [
          n(a(_), {
            modelValue: e.value.precision,
            "onUpdate:modelValue": l[0] || (l[0] = (u) => e.value.precision = u),
            modelModifiers: { number: !0 },
            label: a(s)("datahub-plugin.stockValue.precision"),
            type: "number",
            readonly: o.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      n(a(i), null, {
        default: r(() => [
          n(a(g), {
            modelValue: e.value.readOnly,
            "onUpdate:modelValue": l[1] || (l[1] = (u) => e.value.readOnly = u),
            label: o.$t("datahub-ui.dh-table.readOnly"),
            readonly: o.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      })
    ], 64));
  }
});
function d(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          stockValue: {
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Precision" } }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          stockValue: {
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Genauigkeit (Nachkommastellen)" } }
          }
        }
      }
    }
  });
}
typeof d == "function" && d(k);
export {
  k as default
};
